<%@ Page Title="" Language="C#" MasterPageFile="~/landing/landing_base_clean_header.master" AutoEventWireup="true" CodeFile="process-order.aspx.cs" Inherits="landing_store_process_order" %>

<asp:Content ID="Content1" ContentPlaceHolderID="content_head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="left_header_content" Runat="Server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="right_header_content" Runat="Server">
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="content_pre_body" Runat="Server">
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="content_body" Runat="Server">
    
    <link rel="stylesheet" type="text/css" href="<%= ResolveUrl("../boostrap-panel.css") %>">

    <div style="margin-top:15px;" class="row-fluid animated">
		<div class="offset4 span4">
			<div class="panel panel-info">
				<div class="panel-body" style="overflow:hidden; ">
                    <div class="text-center">
					    <span><i class="fw-icon-shopping-cart fw-icon-4x shopping-cart-icon animated bounceInLeft" style="margin-right:5px;"></i></span>
                    </div>
                    <div class="text-center">
                        <h2>Procesando orden...</h2>
                    </div>                    
				</div>
			</div>
		</div>
	</div>

    <script>

        $().ready(function () {
            $(".shopping-cart-icon").on("webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend", animationEnd); 
            animate(); 
        });

        function animate() {
            var carticon = $(".shopping-cart-icon");
            
            var classToRemove = "", classToAdd = ""; 
            if (carticon.hasClass("bounceInLeft")) {
                classToRemove = "bounceInLeft";
                classToAdd = "bounceOutRight"; 
            } else if (carticon.hasClass("bounceOutRight")) {
                classToRemove = "bounceOutRight";
                classToAdd = "bounceInLeft";
            }

            carticon.removeClass(classToRemove).outerWidth(carticon.outerWidth()).addClass(classToAdd);
        }

        function animationEnd() {
            var carticon = $(".shopping-cart-icon");
            if (carticon.hasClass("bounceInLeft")) {
                setTimeout(animate, 200); 
            } else if (carticon.hasClass("bounceOutRight")) {
                animate(); 
            }
        }

    </script>

</asp:Content>

